Bullet Collision Detection & Physics Library: btSliderConstraintDoubleData Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btSliderConstraintDoubleData Struct Reference

`#include <btSliderConstraint.h>`

Collaboration diagram for btSliderConstraintDoubleData:
[legend]

## Public Attributes
btTypedConstraintDoubleData | m_typeConstraintData
btTransformDoubleData | m_rbAFrame
btTransformDoubleData | m_rbBFrame
double | m_linearUpperLimit
double | m_linearLowerLimit
double | m_angularUpperLimit
double | m_angularLowerLimit
int | m_useLinearReferenceFrameA
int | m_useOffsetForConstraintFrame

## Detailed Description

Definition at line 307 of file btSliderConstraint.h.

## Member Data Documentation

## ◆ m_angularLowerLimit

double btSliderConstraintDoubleData::m_angularLowerLimit

Definition at line 317 of file btSliderConstraint.h.

## ◆ m_angularUpperLimit

double btSliderConstraintDoubleData::m_angularUpperLimit

Definition at line 316 of file btSliderConstraint.h.

## ◆ m_linearLowerLimit

double btSliderConstraintDoubleData::m_linearLowerLimit

Definition at line 314 of file btSliderConstraint.h.

## ◆ m_linearUpperLimit

double btSliderConstraintDoubleData::m_linearUpperLimit

Definition at line 313 of file btSliderConstraint.h.

## ◆ m_rbAFrame

btTransformDoubleData btSliderConstraintDoubleData::m_rbAFrame

Definition at line 310 of file btSliderConstraint.h.

## ◆ m_rbBFrame

btTransformDoubleData btSliderConstraintDoubleData::m_rbBFrame

Definition at line 311 of file btSliderConstraint.h.

## ◆ m_typeConstraintData

btTypedConstraintDoubleData btSliderConstraintDoubleData::m_typeConstraintData

Definition at line 309 of file btSliderConstraint.h.

## ◆ m_useLinearReferenceFrameA

int btSliderConstraintDoubleData::m_useLinearReferenceFrameA

Definition at line 319 of file btSliderConstraint.h.

## ◆ m_useOffsetForConstraintFrame

int btSliderConstraintDoubleData::m_useOffsetForConstraintFrame

Definition at line 320 of file btSliderConstraint.h.

The documentation for this struct was generated from the following file:

- btSliderConstraint.h